/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoVentaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoVenta;
import com.rjconsultores.ventaboletos.service.TipoVentaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("tipoVentaService")
public class TipoVentaServiceImpl implements TipoVentaService {

    @Autowired
    private TipoVentaDAO tipoVentaDAO;

    public List<TipoVenta> obtenerTodos() {
        return tipoVentaDAO.obtenerTodos();
    }

    public TipoVenta obtenerID(Integer id) {
        return tipoVentaDAO.obtenerID(id);
    }

    @Transactional
    public TipoVenta suscribir(TipoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoVentaDAO.suscribir(entidad);
    }

    @Transactional
    public TipoVenta actualizacion(TipoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoVentaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoVentaDAO.actualizacion(entidad);
    }

    public List<TipoVenta> buscar(String desctipoventa) {
        return tipoVentaDAO.buscar(desctipoventa);
    }

    public TipoVenta obtenerID(Short tipoventaId) {
        return tipoVentaDAO.obtenerID(tipoventaId);
    }
    
	public List<TipoVenta> obterTiposVentaIntegracao() {
		return tipoVentaDAO.obterTiposVentaIntegracao();
	}
}
